#!/usr/bin/env perl


use File::Basename;
use Getopt::Long;
use File::Copy;

sub Usage();

my $music = undef;
my $network = undef;
my $from = undef;
my $to = undef;
my $command = undef;

 
#
# Parse the command line switches
#
if (! GetOptions('music=s' => \$music,
                 'network=s' => \$network,
    )) {
    Usage();
}

print "\n\n*********************\n\nRLM:\n";
print "music is: $music\nnetwork is: $network\n";


my $bmark = $ARGV[0];
my $destination = $ARGV[1];
my $origin = "$bmark/..";



print "Origin: $origin\n";
print "Destination: $destination\n";

print "\nCopying Files:\n";



$from = $bmark."/run-sim.bmark";
$to = $destination."/run";
print "Copying $from to $to\n";
copy($from,$to) or die "Copy failed: $!";
$command = "chmod 777 $to";
`$command`;



print "\nGenerating Placeholder Voices:\n";

for my $num(0..11)
{
    $command = "cp $origin/music/null/null0.wav  $destination/input$num.wav\n";
    print $command;
    `$command`;
}

print "\nCopying Voices\n";
$command = "cp $origin/music/$music/*.wav  $destination";
print "$command\n";


print "\nGenerating Placeholder Programs:\n";
$command = "mkdir  $destination/programs\n";
print $command;
`$command`;

for my $num(0..11)
{
    $command = "cp $origin/programs/identity.vmh  $destination/programs/program$num.vmh\n";
    print $command;
    `$command`;
}

print "\nCreating Network:\n\n";
print "Open $origin/networks/$network :\n";
open (NET, "<$origin/networks/$network") or die $!;

for (<NET>)
{
    @link  = eval($_);
        
    print "Voice $link[0] will be run through $link[1]\n";

    $command = "cp $origin/programs/$link[1]  $destination/programs/program$link[0].vmh\n";
    print $command;
    `$command`;
    

}



print "\nRetarded Debug Directory:\n";
$command = "mkdir  $destination/hasim_debug\n";
print $command;
print "\n***********************\n";


